Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Class PropertyFileReader

    java.lang.Object
      de.grogra.pf.io.PropertyFileReader

    public class PropertyFileReader

extends java.lang.Object

PropertyFileReader.java Provides functions to read properties from external files.

Author:
  mh

Constructor Summary
`PropertyFileReader(FileSource fs)`
`PropertyFileReader(java.lang.String file_name)`

Method Summary
`boolean` | `getBoolean(java.lang.String propertyString)` Returns the specified property as boolean value.
`double` | `getDouble(java.lang.String propertyString)` Returns the specified property as double value.
`double[]` | `getDoubleArray(java.lang.String propertyString)` Returns the specified property as array of double values.
`float` | `getFloat(java.lang.String propertyString)` Returns the specified property as float value.
`float[]` | `getFloatArray(java.lang.String propertyString)` Returns the specified property as array of float values.
`int[]` | `getIntArray(java.lang.String propertyString)` Returns the specified property as a array of integer values.
`int` | `getInteger(java.lang.String propertyString)` Returns the specified property as integer value.
`int` | `getNumberOfReadProperties()` Returns the number of read properties.
`java.lang.String` | `getString(java.lang.String propertyString)` Returns the specified property as string value.
`java.lang.String[]` | `getStringArray(java.lang.String propertyString)` Returns the specified property as a array of strings.
`boolean` | `load()` Loading of a property file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyFileReader

    public PropertyFileReader(FileSource fs)

### PropertyFileReader

    public PropertyFileReader(java.lang.String file_name)

Method Detail

### getBoolean

    public boolean getBoolean(java.lang.String propertyString)

  Returns the specified property as boolean value.

  Parameters:
    `propertyString` - name of the specified property
  Returns:
    value of this property

### getDouble

    public double getDouble(java.lang.String propertyString)

  Returns the specified property as double value.

  Parameters:
    `propertyString` - name of the specified property
  Returns:
    value of this property

### getDoubleArray

    public double[] getDoubleArray(java.lang.String propertyString)

  Returns the specified property as array of double values.

  Parameters:
    `propertyString` - name of the specified property
  Returns:
    value of this property

### getFloat

    public float getFloat(java.lang.String propertyString)

  Returns the specified property as float value.

  Parameters:
    `propertyString` - name of the specified property
  Returns:
    value of this property

### getFloatArray

    public float[] getFloatArray(java.lang.String propertyString)

  Returns the specified property as array of float values.

  Parameters:
    `propertyString` - name of the specified property
  Returns:
    value of this property

### getIntArray

    public int[] getIntArray(java.lang.String propertyString)

  Returns the specified property as a array of integer values.

  Parameters:
    `propertyString` - name of the specified property
  Returns:
    value of this property

### getInteger

    public int getInteger(java.lang.String propertyString)

  Returns the specified property as integer value.

  Parameters:
    `propertyString` - name of the specified property
  Returns:
    value of this property

### getNumberOfReadProperties

    public int getNumberOfReadProperties()

  Returns the number of read properties.

  Returns:
    number of read properties

### getString

    public java.lang.String getString(java.lang.String propertyString)

  Returns the specified property as string value.

  Parameters:
    `propertyString` - name of the specified property
  Returns:
    value of this property

### getStringArray

    public java.lang.String[] getStringArray(java.lang.String propertyString)

  Returns the specified property as a array of strings.

  Parameters:
    `propertyString` - name of the specified property
  Returns:
    value of this property

### load

    public boolean load()

  Loading of a property file. The file has to be set by using the constructor.

  Returns:
    false, iff there was no error during loading property file.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD